{% extends "wafer/base.html" %}
{% load crispy_forms_tags %}
{% block extra_head %}
{{ form.media.css }}
{% endblock %}
{% block title %}{{ WAFER_CONFERENCE_NAME }} - On-Site Registration{% endblock %}
{% block content %}
<h1>On-Site Registration</h1>
{% crispy form %}
{% endblock %}
{% block extra_foot %}
{{ form.media.js }}
<script type="text/javascript">
'use strict';
$(function() {
  var minDate = moment('2017-07-31 00:00');
  var maxDate = moment('2017-08-13 10:00');
  var defaultDate = moment('2017-08-13 10:00');

  function validatedDate() {
    var current_value = moment(this.value);
    if (!current_value.isValid() ||
          current_value.diff(minDate) < 0 ||
          current_value.diff(maxDate) > 0) {
      return null;
    }
    return current_value;
  }

  function onShow(e) {
    var validated = validatedDate.call(this);
    // Hack: viewDate is busted
    // https://github.com/Eonasdan/bootstrap-datetimepicker/issues/1959
    var setDate = $(this).data('DateTimePicker').date;
    setDate(validated || defaultDate);
    if (!validated) {
      setDate(null);
    }
  }

  $('.datetimeinput').each(function() {
    var current_value = validatedDate.call(this);
    $(this).datetimepicker({
      extraFormats: ['YYYY-MM-DD HH:mm:ss'],
      format: 'YYYY-MM-DD HH:mm',
      inline: true,
      locale: 'en-gb',
      maxDate: maxDate,
      minDate: minDate,
      sideBySide: true,
      useCurrent: false,
      icons: {
        clear: 'fa fa-trash',
        close: 'fa fa-times',
        date: 'fa fa-calendar',
        down: 'fa fa-chevron-down',
        next: 'fa fa-chevron-right',
        previous: 'fa fa-chevron-left',
        time: 'fa fa-clock-o',
        today: 'fa fa-dot-circle-o',
        up: 'fa fa-chevron-up',
      },
    });
    $(this).on('dp.show', onShow);
    // Ensure onShow is initially called. And that we don't render the page
    // with just the departure widget shown, because that's just weird.
    $(this).data('DateTimePicker').hide();
  });
});
</script>
{% endblock %}
